=== modified file 'tests/dbqp.py'
--- tests/dbqp.py	2011-06-16 21:30:42 +0000
+++ tests/dbqp.py	2011-06-16 21:55:55 +0000
@@ -36,7 +36,7 @@
 import sys
 
 import lib.dbqp_opts.test_run_options as test_run_options
-from lib.test_mode import handle_mode
+from lib.dbqp_modes.test_mode import handle_mode
 from lib.server_mgmt.server_management import serverManager
 from lib.sys_mgmt.system_management import systemManager
 from lib.test_mgmt.execution_management import executionManager

=== renamed file 'tests/lib/test_mode.py' => 'tests/lib/dbqp_modes/test_mode.py'
--- tests/lib/test_mode.py	2011-06-16 21:30:42 +0000
+++ tests/lib/dbqp_modes/test_mode.py	2011-06-16 21:55:55 +0000
@@ -44,38 +44,38 @@
         # other coolness easier in the future
 
         # get our mode-specific testManager and Executor
-        from dbqp_modes.drizzle_test_run.dtr_test_management import testManager
-        from dbqp_modes.drizzle_test_run.dtr_test_execution import testExecutor as testExecutor
+        from drizzle_test_run.dtr_test_management import testManager
+        from drizzle_test_run.dtr_test_execution import testExecutor as testExecutor
 
     elif test_mode == 'randgen':
         # randgen mode - we run the randgen grammar against
         # the specified server configs and report the randgen error code
 
         # get manager and executor
-        from dbqp_modes.randgen.randgen_test_management import testManager
-        from dbqp_modes.randgen.randgen_test_execution import randgenTestExecutor as testExecutor
+        from randgen.randgen_test_management import testManager
+        from randgen.randgen_test_execution import randgenTestExecutor as testExecutor
 
     elif test_mode == 'sysbench':
         # sysbench mode - we have a standard server setup 
         # and a variety of concurrencies we want to run
 
         # get manager and executor
-        from dbqp_modes.sysbench.sysbench_test_management import testManager
-        from dbqp_modes.sysbench.sysbench_test_execution import sysbenchTestExecutor as testExecutor
+        from sysbench.sysbench_test_management import testManager
+        from sysbench.sysbench_test_execution import sysbenchTestExecutor as testExecutor
 
     elif test_mode == 'sqlbench':
         # sqlbench mode - we execute all test sql-bench tests
         # - run-all-tests
 
         # get manager and executor
-        from dbqp_modes.sqlbench.sqlbench_test_management import testManager
-        from dbqp_modes.sqlbench.sqlbench_test_execution import sqlbenchTestExecutor as testExecutor
+        from sqlbench.sqlbench_test_management import testManager
+        from sqlbench.sqlbench_test_execution import sqlbenchTestExecutor as testExecutor
 
     elif test_mode == 'crashme':
         # crashme mode - see if the server lives : )
         # get manager and executor
-        from dbqp_modes.sqlbench.sqlbench_test_management import crashmeTestManager as testManager
-        from dbqp_modes.sqlbench.sqlbench_test_execution import crashmeTestExecutor as testExecutor
+        from sqlbench.sqlbench_test_management import crashmeTestManager as testManager
+        from sqlbench.sqlbench_test_execution import crashmeTestExecutor as testExecutor
 
     elif test_mode == 'cleanup':
         # cleanup mode - we try to kill any servers whose pid's we detect

=== modified file 'tests/lib/dbqp_opts/test_run_options.py'
--- tests/lib/dbqp_opts/test_run_options.py	2011-06-16 21:30:42 +0000
+++ tests/lib/dbqp_opts/test_run_options.py	2011-06-16 21:55:55 +0000
@@ -81,18 +81,18 @@
                                        '../client'))
 basedir_default = os.path.split(testdir_default)[0]
 
-master_control_group = optparse.OptionGroup(parser, 
-                     "Master file - provides system-defining hooks to guide test execution.  Used for more advanced testing")
+config_control_group = optparse.OptionGroup(parser, 
+                     "Configuration controls - allows you to specify a file with a number of options already specified")
 
-master_control_group.add_option(
-   "--master_file"
-    , dest="defaultsfilepath"
+config_control_group.add_option(
+   "--config_file"
+    , dest="configfilepath"
     , action='store'
     , default=None # We want to have a file that will be our default defaults file...
-    , help="The file that specifies default system setup hooks for dbqp to figure out what to do"
+    , help="The file that specifies system configuration specs for dbqp to execute tests"
     )
 
-parser.add_option_group(master_control_group)
+parser.add_option_group(config_control_group)
 
 # We start adding our option groups to the parser
 # option groups kept in separate files just for cleanliness /

